Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class GetItemMethodNotAllowedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jsystems.tools.exception.BaseException
                  de.jsystems.framework.common.exception.GetItemMethodNotAllowedException

All Implemented Interfaces:
  Serializable

public class GetItemMethodNotAllowedException
extends BaseException

Exception, die ausgelöst wird, wenn die public-Methoden aus einem Item gelesen werden sollen und das nicht möglich ist. Die Originalexception wird mit gespeichert und kann ueber die Methode `BaseException.getOrigin()` abgefragt werden.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseException
`LEVEL_ERROR, LEVEL_FATAL, LEVEL_WARNING, LOG_ERROR, LOG_FATAL_ERROR, LOG_NONE, LOG_WARNING`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`GetItemMethodNotAllowedException(Exception baseException)` Erzeugt eine neue Exception.
`GetItemMethodNotAllowedException(Exception baseException, String message)` Erzeugt eine neue Exception.

Methods inherited from class de.jsystems.tools.exception.BaseException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetItemMethodNotAllowedException

    public GetItemMethodNotAllowedException(Exception baseException)

  Erzeugt eine neue Exception. Dabei wird die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception, die dann zu dieser Exception gefuehrt hat.

### GetItemMethodNotAllowedException

    public GetItemMethodNotAllowedException(Exception baseException,
                                            String message)

  Erzeugt eine neue Exception. Dabei wird die urspruenglich aufgetretene Exception, die zu dieser Exception gefuehrt hat, mit uebergeben. Zusaetzlich kann noch eine genauere Fehlerursache in einem String mit angegeben werden.

Parameters:
  `baseException` - Die urspruenglich aufgetretene Exception, die dann zu dieser Exception gefuehrt hat.
  `message` - Eine Beschreibung zur Ursache dieser Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD